==============================================================
Overview of changes between Pragha 1.3.4 and 1.3.3
==============================================================

V1.3.4
Codename: "Cherry, cherry, cherry pick..."

News:
	Fixes some border, spacing and margin in all gui.
	Various improvements to the tag editor dialog.

Others Changes:
	Implement emit CanNext/Prev/Play/Pause/Seek. Issue #123
	Use Alt+Return shortcut to edit the selected song.
	Some backport of improvents to MTP plugin
	Allow build with grilo-0.2 and grilo-0.3.
	Set user-agent and ssl strict ssl to gstreamer on internet music.
	Fix second sidebar dont show with accel. Issue #73
	Allow apply a custom css. Related to Issue #64, #87
	Allows to customize the styles to the distro packagers.

Bugs fixed:
	Fix Incorrect Can* properties of the MPRIS Specification #123
	Fix wrong Wiki address. Issue  #138
	Fix segmentation fault when close deactivate mpris plugin.
	Remove use-hint preferences that was removed..
	Fix GtkDialog mapped without a transient parent..
	Dont use keybinder plugin on wayland. Issue #118
	Dont use X11 session on wayland.
	Use same accel -Shift-F9- to show second sidebar that gnome-builder. Issue #73
	Align to center the toolbar icons instead vertical fill. Issue #10
	Fix toolbar shows 00:60 instead of 01:00. Issue #103
	Remove custom invisible char of lastfm password
	Update dlna-renderer plugin. Issue #94
	Update dlna plugin to rygel 2.6.
	Prefer non symbolic icons. Fix blured menu icon.. Issue #85
	Avoid opening unknown files on Taglib.
	Fix TuneIn when it offers many results.

Updates Translations:
	Nothing here since transifex dont use versions and change so much.

==============================================================
OTHERS REALESES:
==============================================================

V1.3.3
Codename: "Just a preamp..."

News:
	Rework the interface of equalizer and adds the preamplifier.
	Add a switch for disabling the equalizer preset easily.
	Add option to use small icons on tool/headerbar.

Others Changes:
	Change "Use Gnome 3 HIG" option to "Use system title bar and borders"
	Don't use icons on menubar.

Bugs fixed:
	Fixes undefined symbols of devices plugin.
	Use uri instead filename to save playlist with TotemPlPlarser.
	Add all songs when import online playlists. Issue #81
	Expand widgets if added as wide control.

Updates Translations:
	New Lithuanian translation thanks to Moo.
	New Polish translation thanks to m_szymczak.
	Update French translation thanks to Pingax.
	Update German translation thanks to Atalanttore.
	Update Portuguese translation thanks to smarquespt.
	Update Russian translation thanks to Lazy_Kent.
	Update Bulgarian translation thanks to lyubomirv.
	Update Swedish translation thanks to monotux.

V1.3.2.2
Codename: "Gtk 3.14: Que cunda el panico. haha. ;)"

Bugs fixed:
	Not save state album_art_in_osd=false. See issue #77
	Provide more app icons size. See issue #80
	Set expand comment entry on tag dialog.
	Ensure menu size and fallback to 16 on library and playlist icons.

Updates Translations:
	New Bulgarian translation thanks to lyubomirv.
	Update German translation thanks to Zijj.
	Update Ukrainian translation thanks to Koljan1970.
	Update Czech translation thanks to anespor.
	Update German translation thanks to Aru21.

V1.3.2.1
Codename: "Gtk 3.14: Que cunda el panico. haha. ;)"

Bugs fixed:
	Add Castillan translation to install list.
	Disable libtool versioning for plugins. See issue #74
	Not remember visibility of the second siderbar when init. Issue #73
	Fix icon size on preferences dialog on Gtk 3.14 [1].
	Try to fix the small progress bar on gtk 3.14, but finally just center it. [1]
	Disable popover on gear menu!. It is just horrible!!, and pior on 3.14.
	Fix size of Gear menu.

Updates Translations:
	Update Russian translation thanks to Lazy_Kent.
	Update Korean (Korea) translation thanks to Smallsnail.
	Update French translation thanks to Pingax.

Note [1]: It worked correctly in at least 13 versions!. (Gtk 2.10 -> 2.24
and 3.0 to 3.13), 7 years!!. Why sh*** did they get changed in gtk 3.14!?

V1.3.2
Codename: "Que no cunda el panico. ;)"

News:
	Add optional client-side-decorators support trying to follow Gnome3 HIG.
	Can hide menubar and then append a gear menu on toolbar.
	Add a infobar when some change on prefrences need restart.

Others Changes:
	Except activation of plugins must accept the preferences dialog for the changes to take effect.
	A lot of margins and sizes were stylized to improve the design.
	Acrivate mpris2 and show lyrics sidebar by default.
	Remove windows installer from source. Moves to its own repository.

Bugs fixed:
	Devices plugin: Fix remove library and drop database when eject any usb mass storage.
	Devices plugin: Show a message when fails to mount a usb.
	Devices plugin: Properly handles devices that are mounted by the desktop before than by Pragha.
	Devices plugin: Fix format not a string literal and no format arguments [-Werror=format-security]
	Check existence of the files before import any playlist. So.. never more import empty playlists.
	Fix change library when old list is empty.
	Insensitive some playback actions on toolbar, menubar and systray when startup.
	Lastfm: Be a little more careful with PraghaMusicobject references.
	Remove useless option to setting gstreamer version con configure.ac.
	Remove preferences (including passwords) when plugins are deactivated.
	Don't use deprecated GtkArrow.

Updates Translations:
	New Castillan translation thanks To Jordi Mas.
	Update German translation thanks to Atalanttore.
	Update Czech translation thanks to anespor.
	Update Portuguese thanks to Smarquespt. Sorry. I lost another author.
	Update Russian translation thanks to Lazy_Kent.
	Update Korean (Korea) translation thanks to Smallsnail.
	Update Spanish translation thanks to Fitoschido.
	Fix typo thanks to Atalanttore.

V1.3.1

News:
 	New TuneIn plugin. Allow search on TuneIn and append first radio.
	New DLNA server plugin. Allow share playlist to a DLNA server using Rygel.
	New DLNA renderer plugin. Allow play music on a DLNA server using Grilo.
	New AcousticId plugin. Get metadata of current song on AcoustID service.
	D'Oh!. Port to GtkApplication.
	Return a basic support to MOD files.
	Allow playback music on MTP devices.
	First basic port to Windows.

Others Changes:
	The CD-ROM support became a plugin.
	The Last.fm support became a plugin.
	 * Better protect tags and time_t on threads.
	 * Use diferents time_id to scrobble and update now playing.
	 * Fix submits multiple entries of one song to LastFM.
	 * Betters function names and declare a lot as static.
	Song-info plugin: don't delay searching and cancel if song was changed.
	Allow recursive playlist disabled since https://bugzilla.redhat.com/show_bug.cgi?id=1013020
	Reduce track progress bar size. (A regresion since Gtk+-2)
	Split Devices plugin. Devices, MTP, Renovable, and CDROM.
	PraghaMusicobject/Database: file_type coverted to mime_type.
	PraghaMusicobject: Add source property, to differentiate local files, of http, or plugins.
	Gui: Show Mimetype on Playlist and tags properties dialog.
	Set <Control>O as acceletator to open files dialog.
	Enable the Notify and Song Info plugins on first run

Bugs fixed:
	Fix Segfault when edit song tags from systray menu.
	Playlist: fix memory leak.
	Fix compilation without libpeas. Issue #60
	Fix some segfault when use Glib >= 2.40.
	Create cache folders when init it. NOT IN THE SONGINFO PLUGIN!!!.
	Show album arts in cache to all songs.
	Not import empty playlists when scan the library.
	Update the menubar and playlist submenu when change any playlists saved.
	Fix never change album on playlist when update tags.
	Fix bad update of title on playlist when update tags.
	Notify Plugin: Remove custom timeout.
	Notify plugin: Check new song before sending a notification.
	Lastfm Plugin: Fix warning when user or password in empty..
	Lastfm Plugin: No start new sessions every time that close the configuration dialog.
	Add licence to xml_helper.c/.h files.
	Fix opening folder with images.

Updates Translations:
	Some improvements to English source file strings. Thanks to @smarquespt. See #67
	Update Chinese (China) translation thanks to chunyang.
	Update Czech translation thanks to anespor.
	Update French translation thanks to Pingax.
	Update Portuguese translation thanks to smarquespt.

V1.3.0
News:
	Depends completely on Gtk+3 >= 3.2 and Glib >= 2.32, Gstreamer1 and libcdio_paranoia >= 0.90 [1]
	Add support to plugins, depending on libpeas >= 1.2
	 - Port gnome-media-keys, keybinder, mpris2, notify, and song-info.
	 - Still pending rewrite the lastfm plugin.
	 - Add SOO-EXPERIMENTAL and INCOMPLET devices plugin.
	Add a second sidebar on right.
	 - Just used by the plugin song-info to show lyrics.

Others Changes:
	Continued with the cleaning, writing, and conversion to GObjects
	 - PraghaArtCache, PraghaSidebar, and and every plugins.
	 - PraghaApplication now is based on GtkApplication.
	Fix many bugs in gtk+3 interface, and fixes deprecations prior 3.10

NOTE:
[0]	Seems little, but 99% of the work in 1.2 was done here, and then backported.
[1] Support to Gtk+2 and libcdio_paranoia = 0.83 was removed completely.

V1.2
Bugs fixed:
	Fix thread safety when reading tags.
	Explicitly specified use normal fonts in the library.
	Fix seg fault when disable and enable again mpris2.

Updates Translations:
	New Korean (Korea) translation thanks to Smallsnail.
	New Vietnamese translation thanks to Ppanhh.
	Many other updates. Thanks to all.

V1.2.rc
News:
	Highlight the headers on library view.
	Disable all video features of playbin.
	Add support for embedded album art when gstreamer >= 1.0
	Add simple appdata.xml to gnome-software.

Others Changes:
	Continued with the cleaning, writing, and conversion to GObjects
	* PraghaToolbar, PraghaLibraryPane, PraghaPlaylist, etc.
	* PraghaApplication is based on GApplication, controlling single instance, and dbus messages.
	All preferences have been ported to PraghaPreferences
	Better support to GTK3, and prepare wayland support
	Require by default Gstreamer >= 1.0

Bugs fixed: (Sumary: The most relevant to the user.)
	Fix unable to automatically play another song in pragha.
	Art-cache: fix for case artist or album cointains slash
	Fix regression on 1.1.2: Return to import playlists.
	Fix save fuse_folders option when not set folder structure view.
	No insensitive albumart_in_osd toggle button when change show sytray option.
	Fix wrong min glib version. g_thread_unref need 2.31
	Fix updating library view after rescan.
	Dbus: fix crash on get current state.
	Fix some coverity defects:
	* Unused pointer value (UNUSED_VALUE)
	* Uninitialized scalar variable (UNINIT)
	* Division or modulo by zero (DIVIDE_BY_ZERO)
	* Unchecked return value (CHECKED_RETURN)
	* Unchecked return value from library (CHECKED_RETURN)
	* Dereference before null check (REVERSE_INULL)
	* Resource leak (RESOURCE_LEAK)
	* Explicit null dereferenced (FORWARD_NULL)

NOTE:
	Gstreamer >= 1.0 is needed by default.
	* Set the previous version with: ./configure --with-gstreamer=0.10
	Still depends on libcdio >= 0.83 by default.
	* To compile with libcdio >= 0.90 use: ./configure CPPFLAGS="-DHAVE_PARANOIA_NEW_INCLUDES"
	Remove dbus-1 and dbus-glib-1 requirements.

V1.1.2
News:
	Improved indexing of the library. Also allows continue listening music while analyzing. [1]
	The database uses prepared statements, improving the general performance of Pragha.

Others Changes:
	A general cleaning of the code, but there is much to be done.
	* First rewrites using GObjects as PraghaBackend, PraghaAlbumArt, PraghaMusicobject, PraghaPreferences, PraghaDatabase, and PraghaStatusbar.
	* Many other rewrites as PraghaLibraryPane and PraghaPlaylist.
	* Many changes to work with threads safes.
	Now add, remove or rename playlist and radios is super fast.
	Now select the content of the "Track No" and "Year" in "Edit tags" window after focusing or clicking into them.
	Now you can drag songs from the library to any file manager to copy or burn with brasero.
	Now you can add playlists using command line or file managers.
	Save and restore menu accelerators edited.
	Now whenever you add songs, select the first song added.
	Translations: use intltool for desktop file

Bugs fixed: (Sumary: The most relevant to the user.)
	Try to fix issue #46: Header moved location in libcdio-paranoia-0.90. [2]
	Update Autotools, and fix a warning when use autogen.sh due to cdda.h
	glyr-related.c: Use lang autodetection to get artist bio. See issue #39
	mpris: fix problems with long tracks
	translations: fix plural forms
	gtk3: fix minor bugs
	add workaround for crash in taglib
	fix a deadlock on adding to current playlist

Updates Translations:
	Update Czech translation thanks to anespor, and petr.simacek.
	Update Dutch translation thanks to Vistaus.
	Update German translation thanks to cwickert.
	Update Hungarian translation thanks to Polesz.
	Update Portuguese translation thanks to smarquespt.
	Update Portuguese (Brazil) translation thanks to rafaelff1.
	Update Russian translation thanks to Lazy_Kent, and 4glitch.
	Update Turkish translation thanks to fatihmalakci, necdetyucel, and emfi.
	Update Ukrainian translation thanks to paul.rufous.

Notes:
[1] Sorry, but also adds a regression. Stop importing playlists.
[2] To compile, have to comment the line 23 of Pragha.h

V1.1.1
News:
	Add a button to close the sidebar.
	Use toolbar style to playback controls.
	Better Gnome HIG complain in preferences, inspired on transmision code.
	Adds an option to hide the icon in the notification area.

Others Changes:
	Depend on gtk+2.24 and glib 2.28.
	* Both was released a year and a half ago. Nobody should have problems.
	Modularization/Refactoring/Cleanup of a lot of code thank to Pavel Vasin.
	Always compile support to gnome-media-keys.
	* First check gnome-settings-daemon and when not found, use keybinder.
	Support global hotkeys with keybinder and gtk3 if detect keybinder-3.0.
	Various improvements in gstreamer.
	* Check if seeking is allowed and inform it in mpris2.
	* No buffering live streams and get a new clock if lost it.
	Enable MusicBrainz to download cover art.

Bugs fixed: (Sumary: The most relevant to the user.)
	Sanitize artist and title when append from lastfm.
	Fix equalizer dialog in gtk3 interface.
	Fix tag dialog in gtk3 interface.
	equalizer: fix GObject leak.
	Not refresh the library view if the radio added is not saved.
	Fix read after free. See Github issue #20.
	Not forget the previous songs when queue songs.
	Not forget the previous songs when play songs activating playlist.
	Removes a lot of unused variables and functions. Thanks to Pavel Vasin.

Updates Translations:
	Equalizer pressets now are translateable.

V1.1.0.1
Bugs fixed:
	Fix crash when try to crop playlist with accelerator!.
	* And probably many other crashs.
	gui: take ownership of images in the right way.
	fix build on i586. See github issue #31
	mpris: fix crash in Player.Seek
	mpris: don't use constants from libdbus.

Updates Translations:
	Update german translation thanks to cwickert.

V1.1.0
News:
	Suggest import XDG_MUSIC_DIR to library on first start thanks to Pavel Vasin.
	Merge playlist and radios on unique library view pane.
	Add option to make aproximate searchs using a levenshtein distance.
	Add a new menu option to copy tags of selection in current playlist.
	mpris: partially implement AddTrack thanks to Pavel Vasin.
	Add support for gstreamer 1.0 thanks to Pavel Vasin.
	F9 to show/hide the sidepane.
	Add --log-file/ -l command line option to log debug to a file.

Others Changes:
	Depend on gtk 2.22 and glib 2.26
	* Remove some hackings to prevent deprecations.
	* This to remove dbus-glib-1 soon maked as obsolted.
	* Until now: Only migrate utils to gdbus thanks to Pavel Vasin.
	Follow fdo Icon Naming Specification thanks to Pavel Vasin.
	Reorganization of the main menu (Love and hate here;).
	* File menu change to Playback and adds the random and repeat options.
	* Edit menu change to Playlist, and adds the options to add files, audio CD and locations.
	* Preferences are now found in tools.
	The initial window size and cols width is set dynamically according to the screen size.

Bugs fixed:
	Don't use gnome media keys if keybinder available.
	Remove unnecessary execution permissions.
	Utils: remove another redundant cast.
	Fix xdt-autogen warning.
	Close the dialog "Open files"immediately, and do not block gui when adding many files.
	Fix cmdline description.
	mpris: fix setting Shuffle property.
	mpris: fix setting LoopStatus property.
	Don't store unused reference to GOptionContext.
	Free some strings at exit.
	backend: a bit simplify volume code.
	Build: don't use deprecated AM_CONFIG_HEADER.
	Now anything that you drop to the playlist remain where it was dropped.
	Use more generic function to avoid duplicate code.
	Unref notify osd when close it. Remove unnecessary g_strdup.
	mpris: fix yet another memory leak.
	mpris: save a few bytes.
	tags: fix rarely crash in edit dialog.
	menu: simplify show_controls_below_action().
	librarytree: assert prefix found.
	librarytree: Use the numerated node_type directly.
	Also set bold the year label on tag edit dialog.
	init: fix potential memory corruption.
	menu: fix memory leak on opening files.
	menu: don't delay add_recent_file.
	menu: fix another memory leak on opening files.
	Ensure some functions don't modify their args.
	Fix passing libraries in wrong order to the linker. See issue #29
	Free struct con_gst at exit.
	backend: fix gobject runtime warning.
	Center the main window if no have saved a potition.
	Insensitive correctly some options of radio and playlists menus.
	Fix disable libxfce4ui on configure.ac.

Updates Translations:
	Update Rusian translation thanks to Lazy_Kent.
	Update Czech translation thanks to anespor.
	Update some others tranlations in transifex.
	* Excuse the translators, who lost their names, but thank you very much!.

V1.0.2
News:
	EXPERIMENTAL support to gtk3 thanks to Pavel Vasin.
	Add support for gnome media keys thanks to Pavel Vasin.
	Use totem-pl-parser to open playlists when is available.
	* With this can open internet radios playlist.
	* Support many more formats
	Imports playlists when update the library

Others Changes:
	Use the same minimum requeriemientos that Xfce 4.10. A tiny caprice. =)
	* Need gtk+-2.0 >= 2.20, glib-2.0 >= 2.24, dbus-1 >= 1.1 and dbus-glib-1 >= 0.84.
	Use libxfce4ui instad libexo-1 to session management.
	* Better behavior and less dependence.
	In/Sensitive menus acording playback and lastfm status.
	Allow displaying length and progress of remote files
	Many changes in the start of gtk, gstreamer and glib threads.
	Use PRAGMA synchronous=OFF on db.
	Remove old check dependency of libcurl.
	Remove unused dependency on xlib.

Bugs fixed:
	No close the notify when activate actions. Only update this.
	Fix bad current track position in mpris2, and emit Player.Seeked signal. See github issue #12
	Fix expand playlists and radios tree view when update it.
	Fix compilation with libcdio 0.84 and bad pragha about dialog. See github issue #4.
	Fix some issues in github opened by ssuominengentoo.
	* Issue 8: Stop setting docdir= $(pkgdatadir)/doc in Makefile.am since it breaks --docdir switch.
	* Issue 7: Stop forcing -O3 optimization.
	* Issue 6: Release tarballs should not set -Werror.
	* Issue 5: Multiple issues in the pragha.desktop file
	D'Oh!. Add audio device in preferences.
	Fixed many memory leaks and some optimizations thanks to Pavel Vasin.
	Use g_object_set to set audio device. Fix select of audio device.

Updates Translations:
	Update Rusian translation thanks to lazy.kent.suse.
	Update some tranlations in transifex.
	* Excuse the translators, who lost their names, but thank you very much!.

V1.0.1
News:
	Add Get lyrics, Get artist info to the selection on current playlist.
	Add Love, Unlove, and Get similar options to the selection on current playlist.
	Add an icon in the panel to suggest tag corrections of lastfm when update now_playing. [1]

Others Changes:
	Add tootips to show equalizer bands values.
	Select last track when append new songs.
	Also append radios when restore session.
	Append Hz, kbps, and Channels string to file properties dialog.
	Check status of network manager when launch pragha. If is online, init lastfm, otherwise wait 30 seconds.
	Remove search album art option in menu. Any objection..? I never use it.
	Only search covers art in lastfm temporarily. Returns better results.

Bugs fixed:
	Fix search album art option is always enabled.
	Not jump to the next song when have selected several songs.
	Grab focus on entry name when save playlist and save when press enter.
	D'Oh!. Use mpris:artUrl instead xesam:art, and emit a full uri format.
	Add a playlist_change flag to avoid errors when remove the model to gain speed.
	Also set busy cursor when add similar song, clear/crop current playlist, or import/export playlist.
	Always show "Custom" presset on equalizer on error.
	Fix frizee when buffering internet radios.
	Inform stop playback to mpris2 when close pragha.
	Save preferences changes when pressing enter.
	Update some years copyright.
	Never add duplicate songs.
	D'Oh!. Fix never add songs of the lasts page of favorites songs.
	Fix some warnings when first init.
	Set disable when first usage of equlizaser.
	Better function to search song on db with only the artist and title info.
	Use more generic functions to remove some duplicate code.
	Romove some unused code.

Updates Translations:
	Fix Bad space on message of error playback dialog.
	Update German translation thanks to Cwickert.
	Update Portuguese translation thanks to smarquespt.
	Update Italian translation thanks to bersil.
	Update Rusian translation thanks to lazy.kent.suse.

[1] Note: For this, depend now on libclastfm >= 0.5. Sorry packagers.

V1.0 "Good news, or aberration?."
News:
	Add a classic 10-band software equalizer.

Others Changes:
	Save the m3u playlists with relative paths when stored in the same directory that the audio files.
	Add basic Static Quicklist entries on desktop file to control pragha on unity.

Bugs fixed:
	Emit album art url on mpris2 when is available.
	Emit new metadata when edit tag of current track.
	Fix try to edit some tags of radio stream with taglib.
	Add playlists mime on desktop file.
	Use autoaudiosink as default audiosink.
	Update notifications instead of show one for each song change.
	Set Next as default button when show a playback error.
	Do not allow change song from mpris/keybinder/systray when show a playback error.
	Can open playlists with relative paths.
	Save radio stream when press enter on name.
	Fix compilation without exo-1.
	Comfirm with an dialog before delete any radio/playlist item.
	Fixes some memory leaks.

Updates Translations:
	Add Italian translation thanks to Stribianese91.
	Update German translation thanks to Cwickert.
	Update Rusian translation thanks to lazy.kent.suse.
	Update Portuguese translation thanks to smarquespt.
	Sorry if I lost any translation. Transifex does not show the entire history. Please. Contact me.

V1.0.RC3
News:
	Add option to show the playback controls below.
	Can select a name when add radio streams to save on db and append to playlist tree.
	
Others Changes:
	Fix/Change somes strings. Sorry.
	Init pragha with focus on play button.
	Add the new stream with the uri/name as title.
	Better layout of rename and add location dialog.
	Add a new popup menu with "New playlist" and a list of saved playlist to "Save playlist" like the "Add selection" popup.
	Also append boths pupups submenus to main menu.
	Properly set the title in save playlist dialogs.
	Edit track information when double click on the track label of the panel.
	When playback is stopped and no has selected any track, play a random track if shuffle has activated.

Bugs fixed:
	Remove useless warning "Everything is fine" when no found a cover.
	No search artist information when missing the artist name.
	No search lyrics when missing the title or artist name.
	Init the threads conditionally depending on the version of glibc, removing g_thread_init deprecated in 2.31
	Remove unused code, that remove g_strncasecmp deprecated function.
	Better buffering streaming. Prevent that it refuse to stop the playback.
	Better buffering. Not update mpris, lastfm or get album art.
	D'Oh!. Fix Segmentation fault when the stream update the tags on RC1/2
	No update playlist view when cancel the rename action.

V1.0.RC2
News:
	Better session managament support when exo-1 >= 0.6 is available.
	 * Now save current playlist when save session.
	 * Now save last posicion when save session.
	 * etc, etc.
	Rename playlist.
	Add support to playing streams over a network.

Others Changes:
	When just run Pragha init lastfm with a timeuout of 30 sec, but with a simple thread when change preferences.
	Set width of queue/pixbuf column fixed to 32px. Set queue bubble size fixed to 12px.

Bugs fixed:
	Implement lost Seek an SetPosition on mpris2.
	Fix main toolbar items use GTK_ICON_SIZE_LARGE_TOOLBAR, volume button uses _SMALL_TOOLBAR.
	Use some un/likely optimization.
	Remove unused code.

V1.0.RC1
News:
	Now use libglyr to search lyrics, cover art, and artist info if available. [1]
	Use the cache of libglyr to save the downloaded artist info and lyrics in a Metadata.db file.

Others Changes:
	Tiny reorganization of the menu.
	Change cache folder from pragha-album-art to pragha.
	Now append "album-" string to covers in cache. Quasi simplified MediaArtStorageSpec, except md5. jah.
	Adds some debug messages in mpris.c and avoid bad spaces.
	Select the next row to the last selected when remove tracks in current playlist.
	Remeber window position when restart pragha. Thanks to carlosjosepita.
	Allow to use relative paths to add files with command line.
	Open the image when double click on the cover in the panel.

Updates Translations:
	Update German translation thanks to cwickert.
	Update Czech translation thanks to anespor.
	Update Portuguese translation thanks to smarquespt.
	Update Portuguese brazilian translation thanks to valtern.

Bugs fixed:
	Fix show all options when use any commands line option.
	Allow to use relative paths to add files with command line.
	D'Oh!. Not can edit multiple files from the library. Since when?.
	Reduce padding on playlist view, leave this for the GTK+ theme to figure out.
	Check if are in current playlist before add duplicate songs when search similar songs from lastfm.
	Not change the model when Remove tracks in current playlist.
	Fixes bad array of string in mpris metadata when string has apostrophes.
	Fixes two segmentation faults when use ubuntu soundmenu and pragha has not playlists.
	Fix bad folder estucture view entries because a bad conversion of filenames to UTF.
	Fix that not add the duplicated songs when use the library view based on metadata.
	Not sensitive "Osd in systray" option if libnotify >= 0.7.0
	Not sensitive the "Add action in OSD" option when the notification daemon no support it.
	Grab focus on current playlist when press Up or Down and move between controls with Left or Right.
	Not update the panel when download album art but change the current song.
	Use key-press-event intead key_press_event.
	Use more strlen to test NULL strings.
	Fix pragha freezes when select a playlist with mpris2.
	Even emit _("Playlists") like current playlist in mpri2.
	Inhibit global hotkey when parse a error in playback.
	Better initiation of variables that establish the current status.
	Fix a segfault when close pragha.
	Fix a few memory leak.

[1] https://github.com/sahib/glyr:
Is a very new library, an the author defines it as "GlyR is a searchengine for musicrelated metadata"
Many thanks to Chris for writing to me, offering his library when asked for a alternative to chartyrics.

V0.99.0
News:
	Show a busy mouse icon when running a slow function.
	Search artist info, album art, and lyrics into a thread.
	Add structure to read new playlists formats. Until now PLS, XPSF and WAX.
	Add a button on the save playlist dialogs to export the playlists.
	Implement "Add to playback queue" in search dialog.
	Implement "Import a XPSF playlist", useful when exporting playlists in last.fm, that not use the location tag.
	First attempt to restore the configuration of the audio device.
	Implement a basic cache for downloaded cover art in "(home)/.cache/pragha-album-art".
	Add option to search the album art automatically in lastfm.

Others Changes:
	Preselect the (playlist_name).m3u filename to export dialog.
	Eliminate the option to play track in search dialog.
	Set "jump to track" by default in search dialog.
	Displays a message with the number of songs added when import playlist.
	Add "Playlists" filter on open file chooser.
	Improved panel audio settings layout in preferences.

Updates Translations:
	Update German translation thanks to cwickert.
	Update Czech translation thanks to anespor.
	Update Portuguese translation thanks to smarquespt.

Bugs fixed:
	Fix "All files" filter in open file chooser.
	Fuse audio_alsa_device and audio_oss_device in audio_device.
	Only set audio_cd_device when playback a audio cd.
	Update about dialog year.
	Update MimeTypes on desktop file.

V0.98.0
News:
	A new menu "Add to playlist" that replaces "Save selection" on current playlist.
	More speed when Clear, Remove, and Crop tracks on current playlist.
	More speed to add tracks to the current playlist from popup menu.
	More speed to add playlists to the current playlist.

Others Changes:
	Change "Play Audio CD" menu item to "Add Audio CD".
	Only sensitive the options clear and save playlist in the menu of current playlist when there is no selection.
	Minor code cleanup to coordinate with subversion code.

Updates Translations:
	Update French tranlations thanks to raphaelh.
	Changed many strings to translate. Please help to update your native language.

Bugs fixed:
	Use cddb_query to search audio cd info. Fix poor results of cddb.
	Fix possible memory leak when save tags.
	Fix warning when to year < 0 on tag editor.
	D'Oh!. Fix add recent files.

V0.97.0
News:
	Return the playback status icon on current playlist. Thanks to Brett Kleinschmidt.
	Add a popup menu on file entry of tag editor, to open folder and copy selection to title tag, artist tag, etc.
	Add option to hint current_playlist. Thanks to Brett Kleinschmidt.
	Add option to activate instant filter or search only when press enter.
	Add option to sort Albums in library view by release-year. Thanks to Fabian Köster.

Others Changes:
	Save changes when press enter on tag editor.
	Init gdk_threads and use it to update progress of reproduction.
	Highlight matches on jump dialog.
	Minor reformat of jump dialog.

Updates Translations:
	Updated Czech translation thanks to Alois Nespor.

Bugs fixed:
	Remove curl/types.h deprecated header.
	Immediately update the progress when seek track.
	No restart the lastfm thread when seek track.
	No send dbus update signal when seek track.
	No send dbus update signal when set use sofware volume.
	Fix pragha ignore audio cd device settings.
	Always free the path when edit tracks of current playlist.
	Fix no update current playlist song when change the tags from menu.
	First update music objects and window, and later the files.
	Directly compares the pointers to find current tack when edit tags.
	Use gdk_threads_enter/leave to add files with dbus.
	Use gdk_threads_enter/leave to show playback error dialog.
	Show track_no and year only if are positive.
	Improve the speed of the library view.
	Update progress bar only when track position > 0.
	Only jump to tack droped when change the model, and scroll to the same position.
	Select and set cursor on new song when drop a tack on current playlist.
	Fix somes memory leaks and occasional cleanup.

V0.96.1
	Wooow.. Search, jump and play on current playlist dialog implemened.

V0.96.0.1
	Recontra D'Oh!. Fixs gdk_threads_enter()/gdk_threads_leave() usage.

V0.96.0
News:
	Init Lastfm into (More smooth) thread.
	Implement Lastfm get similar and add favorites into (More smooth) thread.
	Better (More smooth) insert tracks from file manager.
	Better (Much more faster) insert tracks from library tree.

Others Changes:
	Returns the icon in current playlist to show errors.
	Use Structure Folder view by default.
	Emit volumes changes on mpris2.
	Use folder-music to folder structure view.
	Set cursor when jump to current track.
	Betters debug messages on lastfm and chartlyrics and comment everything necessary on the status bar.
	Add recent files info on a idle func.

Updates Translations:
	Add a new translation to Simplified Chinese thanks to ifree.
	Add a new translation to Greek thanks to koleoptero.
	Update Dutch translation thanks to tuxmachine.
	Update Ukrainian thanslation thanks to Sergiy_Gavrylov.

Bugs fixed:
	Remove lastfm connected flag. Use seesion_id instead.
	Insensitive tree views when change the model.
	Artist and Comment are array on mpris2 metadata.
	Fix potential memory leak on mpris2.
	Change the condition to refresh the saved_title (Fix Metadata emision).
	Fix lastfm start every time that enter in preferences unnecessarily.
	Fix calcule midle song lenght minus 5 seconds.
	Fix add recurive folder with command line.
	Test realloc on chartlyrics.
	Remove some unuseles gtk_widget_show/hide_all.

V0.95.0.1
	Prepend interfece string to PropertiesChanged signal.

V0.95.0
News:
	Add support for MonkeyAudio songs.
	Now difference between oss4 and oss3.
	Adds another option to use the default sink.

Bugs fixed:
	Wait 5 seconds to update the current song on lastfm.
	=> Fix crash when rapidly changing songs.
	=> Uses less network when rapidly changing songs.
	Fix never init Mpris2 interface when init.
	Start pragha with file arguments.
	Better debugs messages on playbin constructs.
	Fix Typos.

V0.94.1
News:
	Implement a dialog to skip tracks if fails playback.

Bugs fixed:
	Compile with Gcc 4.6, with all that this implies.
	Use _tree_row_references to edit track.
	Get the files to change quickly, to prevent when finished the song and change the selection.
	Always check the current song to prevent when finished and change the song.

V0.94.0
Special thanks to Vikram Ambrose and Hakan Erduman for answering all my questions.
News:
	Add various demonstration features over Lastfm sevices.
		* Love track.
		* Unlove track.
		* Add favorites.
		* Artist info.
		* Get album art.
		* Add similar.
	Complete MPRIS2 track list interface.
	Add option to init MPRIS2 in preferences.
	Restore Search Lyrics with a dialog using Chartlyrics.com.
	Add a new popup menu when current playlist is emply.

Others Changes:
	Now depend on external libclastfm >= 0.4 (Optional).

Updates Translations:
	Add Turkisk translation thanks to Hakan.
	Update Czech translation thanks to Anespor.

Bugs fixed:
	Much more faster when you start with many songs, or add the complete library.
	Fix bad editing of current playlist items when it is sorted (Issue 21).
	Fix Segfault after clear playlist and play (Issue 23 and 24).
	No erase user info when no connect to lastfm.
	Never init pragha witch -p,-s,-t, -r, -n, -t... command options.
	Better update album art.
	Drop unused vars.

Note: http://liblastfm.sourceforge.net now is libclastfm due to incompatibility with the official library.

V0.93.1:
Any change on pragha. But use liblastfm 0.4, that does not depend on libopenssl, incompatible with the GPL
So fix Issee 22. :)

V0.93
News:
	Add MPRIS2 control support and emit a dbus signal named 'update_state' thanks to Hakan Erduman.
	Added a DBus message to toggle the visibility of the player thanks to Hakan Erduman.
	Restore lastfm scrobbling support thanks to http://liblastfm.sourceforge.net/.
	* Use Scrobbling API 2.0.
	* Now is correctly identified like Pragha.

Bugs fixed:
	Fix regression on generation of recently-used data introduced in 241.
	Support to libnotify 0.7. (Hate it with all my heart.)
	Again, change notifications according to the standard. (xfce4-notifyd follows strictly)

Updates Translations:
	Updated Czech translation thank to Alois.

Note: Temporarily disables search lyrics, by license change of http://www.lyricsplugin.com.

V0.92
News:
	Use cubic volume if available (Need gstreamer-plugins-base-devel).
	Sink volume with audio backend changes.
	"Restore" replace and play option.

Others Changes:
	Depend on external libkeybinder (Optional).

Bugs fixed:
	Disable "Add actions.." options if the notifier does not support it.

Updates Translations:
	Add Hungiran translatiton.
	Update others translation.

V0.91
News:
	Ported to use gstreamer.

Benefit? :)
 * Add support for new formats: So far wma and m4a. Please checks support to m4a. I no have any m4a file to test. ;)
 * Add a new pulseaudio backend.
 * Now it's free!. Can be packaged for fedora for example, since not depend directly of libmad.

Regressions: :(
 * Lastfm not working. Soon fix it using https://github.com/felipec/libscrobbler. Adding librefm and love support.
 * Lost Mod file support. Sorry.. but someone used it? In fact very easy to add support for this. Maybe fix it later.

Then, everything else should work. :)

==========================================================
OTHERS REALESES BASED ON ORIGINAL CONSONANCE AUDIO ENGINE:
==========================================================
V0.8.3
News:
	Move to trash instead remove tracks in library view.
	Add dialog to Skip, Skip all, or delete all tracks if fails move to trash.
	Remember last sidebar pane used.

Others Changes:
	Delete folders in library preferences pressing Delete Key.
	Delete track from library items in library view pressing Delete Key.
	Changed design of notifications, now more in line to pragha panel.
	Add GTK_STOCK_JUMP_TO icon to open folders in tag editor dialog.
	Use GTK_STOCK_EDIT icon to Edit tags menu.

Updates Translations:
	Update Swedish thanks to monotux.
	Update German thanks to Cwickert.
	Update po files.

Bugs fixed:
	Remove unnecessary gtk_widget_add_events.
	Romove unnesessary validate entry to year and track gtk_spins.
	Use GTK_DIALOG_DESTROY_WITH_PARENT in dialogs.
	Place the cursor at the end of the filename entry.
	No save fuse option if not folders view is activate.
	Fix tiny memory leak.

V0.8.2
News:
	Add filename entry to tag editor dialog with a open folder icon.
	Add Details button to tag editor dialog that open the properties dialog.
	Update current playlist when edit tags.
	=> No More eliminate the edited tracks => Not more lost in queue list when you
	   edit a file!, & NOT lose the currently played song!, and a tiny more speed.

Others Changes:
	Add VERY basic session management support.
	Add spinner when update/rescan music db if Gtk >= 2.20.
	Add folder label to properties dialog.
	Grab focus when clear entrys.

Updates Translations:
	Update de, es, and ru tranlations.
	Update po files.

Bugs fixed:
	Fix small spelling mistake. thank to c_k...@gmx.de.
	D'Oh!. Add Dutch translatition in subversion.
	Initialized pointers!.
	Remove unused vars.

V0.8.1
News:
	Add Translate Pragha (Link to Transifex) in Help menu.
	New "Associate notifications to system tray" option.
	New "Show Album art in notifications" option.
	New "Add actions to change track to notifications" option.

Others Changes:
	Rework preferences dialog.
	Reformat Notifications like rythombox, amarok, clementine, etc, etc.

Updates Translations:
	Add Dutch translatition. Thanks to Zenlord.
	Update Brazilian Portuguese translation. Thanks to Secipolla.
	Update Rusian translation. Thanks to Pendalf.
	Update Czech translation. Thanks to Alois Nešpor.
	Update German translation. Thanks to Cwickert.
	Update po files.

Bugs fixed:
	Fix typo thanks to Timm Bäder.
	Expand only comment field when change window size in edit tag dialog.

V0.8.0.2
	Update German translation. Thanks to Christoph Wickert.
	Disable Global keybindings if gtk < 2.20.
	Add "Pragha Music Player" to the sumary of notifications and so displayed correctly. In notify-osd for example.
	Eliminate previous incompatible db only if minor to 0.8.0.
	Drop "Folder structure" bad string.

V0.8.0.1
	Eliminate previous incompatible db.
	Show message dialog to rescand libray.

V0.8.0
News:
	Folder / Files library view replaced by Foders Estructure. (like in foobar2000) (1)
	Add option to merge folders in folders estructure view.
	Add support for comments.

Optimizations.
	Use gtk_tree_store_prepend rather than gtk_tree_store_append.
	Use fixed size in cell renderers of current playlist.
	Use g_timeout_add_seconds to update progress when scan the library.
	Prepend refs to crop playlist.

Others Changes:
	Now is Pragha Music Player instead Pragha Music Manager.
	When change songs not scroll to the new path if already visible.
	When you drag songs where they are dropped.
	Use gnome-mime-audio icon to library_tree, and playlist_tree if exitst.

Bugs fixed:
	Order with case insensitive in library view.
	Preventing incomplete icon themes, restore Album png.
	Check system tray before sending notifications.
	Use correct PULSE_PROP_media.role audio, instead music.
	Use Singly-Linked List in queue list.
	Remove useless compilation flag in db.

(1) Again thank you very much to Roberto DMD. A new feature that everyone loved.

Update po files.

V0.7.7.1
	Fix Issue 14: Pragha can not remember the starting position.
	Remember correctly window position when click status icon or close window.
	Never add files recursively with dbus and command line. Freeze Pragha.

V0.7.7
News:
	Global keybindings thanks to keybinder. Inspired on osdlyrics

Updates Translations:
	Add Brazilian Portuguese translation. Thanks to Sergio Cipolla.

Bugs fixed:
	Fix display files with non-utf8 locale. Thanks to Roberto DMD.
	Fix open urls without gvfs. Thanks to Roberto DMD.
	Add files recursively with dbus and command line according to preferences.
	Shows album art when playing audio cd
	D'Oh!. No remember Close to tray option.

V0.7.6
News:
	Drag'n drop several items in Library/Playlist/Current_playlist. Very thanks to Guillaume Royer.
	Add files to the current playlist by dragging them from file browser. Very thanks to Guillaume Royer.
	Drag files over current playlist to any file browser to copy this.

Others Changes:
	Add option to add files recurvively in preferences dialogs.
	Use <Alt>Right" and "<Alt>Left", as default keyboard shortcuts for Previous/Next.
	Remember sidebar size when restart.

Bugs fixed:
	Refilter library view according to search entry, when switching library order.
	Only insensitive search entry when switching library order.
	Remove the redundant Save Playlist/Clear/Jump To/Searchbar toolbar.
	Insensitive Properties menu entry, instead hide it when several items are selected.
	Unselect all when click over when click over no song.
	No resize panel, when change windows size.
	Make NEWS Distributable.
	Remove unused variables.

V0.7.5.2
	Update Polish translation. Thanks to Sid.

V0.7.5.1
	Update German translation. Thanks to PhotonX.
	New album unknown icon. Provisory.(Does not look good with dark themes)

V0.7.5
News:
	Add confirmation dialog. to "Delete from..", menu entries.
	Leave the checkbox automatically when change a tag in edit track dialog.
	Adds an icon to clear the tags entry in edit track dialog.
	Hack in the representation of album art.

Others Changes:
	Expand all row in library tree when double click
	Use GTK_STOCK_LEAVE_FULLSCREEN button adding text and translations. 
	Unsensitive librarytree and search_entry when updating.

Updates Translations:
	Add initial Swedish language. Thanks to Zwopper.
	Update Czech translation. Thanks to Alois.

Bugs fixed:
	Fix Issue 10. Several critical warnings when first init.
	Add files when double-clicking or pressing enter in filechooser.
	Keep the open file dialog on top of the main window,
	Do not use gtk_tree_view_column_set_cell_data_func(). Performance problem. No more play/pause pixbuf in currente playlist.
	No update song information all the time.
	Capitalise and translate window title.
	Rework toogle_main_window.
	Unref notification when close it.
	Unref Cover in unset_album_art
	Fix memleak in panel.

V0.7.4
Add next action to notifications.
Improved time library indexing.
Add option to start pragha minimized, fullscreen, or remember the last window state. Inspired in Nathan Wayde patch. Thanks!.
Add option to minimize pragha when close window.
Add button in panel to leave fullscreen.

Others Changes:
	Set the labels to wrap on display properties dialog. Thanks to Nathan Wayde.
	New Layout of edit track dialog.
	Use AM_SILENT_RULES if available.

Updates Translations:
	German translation thanks to PhotonX.
	Polish translation thanks to Sid.
	Update po files.

Bugs fixed:
	Now work queue list when sequential playlist.
	Hide sidebar when restore mainwindow and originally no showed.
	Hide album art when restore mainwindow if set to no show.
	Fixes some memory leaks.

V0.7.3
Drop File Pane in favor of gtk-file-chooser.
	Support for adding folders recursively in file chooser. (Based on Audacius code. /src/ui_fileopen.c)
	Support for recent files in file chooser.
	Now remember last folder used.

Others Changes:
	Middle click on the library/playlists view append songs to current playlist.
	Queue and dequeue pressing 'Q'.
	If pragha minimized or without focus, when clicked statusicon restore mainwindow focus.
	Now the second panel is the playlists.
	Drop album.png in favor of the icon theme instaled.
 
Updates Translations:
	Spanish translation thanks to msdelos.
	Polish translation thanks to Sid.
	Update po files.

Bugs fixed:
	Use g_get_user_config_dir() instead of g_get_home_dir() and then concatenating "/.config". Thanks to Sebcactus.
	OK/Cancel buttons in Edit Tags and Save Playlist dialog are inverted.
	When move around the library with the keyboard, this does not advance.

V0.7.2
Basic queue playlist support!-)
	Now you can add and remove multiple songs to be played.	
	(Special thanks to Christian Hergert by gtkcellrendererbubble.)

Others Changes:
	Use Desktop file XDG compliant. Thanks to Christoph.
	Use shared files XDG compliant. Thanks to Christoph.

	Restore 'Shuffle' and 'Repeat' options in the panel.

	Add 'Current play time' in the systray tooltip.
	Notifications, more consistent at the systray tooltips.

	Move 'Add the library' menu item to 'Tools' menu.
	Move 'Connect to CDDB server' option to 'General' tab.

	Use Control+space to play and pause.
	Remove 'Show Hidden Files in File View' preferences option, and add 'show hidden files' menu item, to popup menu of file pane.

Updates Translations:
	Portuguese translation thanks to Lyceuhns.
	Spanish translation thanks to msdelos.

Bugs fixed:
	Fixs GDK_Delete no work in search entry.

Note: When playing songs from the play queue, deletes references to previous songs.

V0.7.1.1: Update of french translation thank to Aloïs Halel.

V0.7.1
Rework all menus.
	Use more advisable names: "Add to playlist" instead "Equeque", "Replace playlist" instead "Play", etc.
	Use betters icon: GTK_STOCK_ADD instead GTK_STOCK_COPY when add music, NULL instead GTK_STOCK_PLAY when replace playlist, etc.
	Add betters accelerators: <Control>R to repeat, <Control>Y to search lyrics, etc.
	Now activate the panels from the menu bar. 
	New properties of current song in menu bar and status icon.
	Clear Sort in Current playlist header_context_menu.

Others Changes:
	Add option to search lyrics using http://www.lyricsplugin.com.
	Add more tooltips.
	Add Fullscreen option.
	Add Options to hide status bar.
	A new icon of pragha.

Updates Translations:
	Rusian translation thanks to Evgen.
	Czech translation thanks to alois.nespor.
	Japanese translation thanks to Masato Hashimoto.
	Spanish translation thanks to msdelos.
	German translation thanks to PhotonX.

Bugs fixed:
	When create search entry, no sensitive claer icon.
	Show "track" (Before show "tracks") in statusbar when unique song in playlist.
	No show track no in playlist, when is zero.
	Show filename in playlist when unknown title tag.

V0.7.0
	Now depends on gtk >= 2.16. Thank to this:
	* Eliminate eggtrayicon and sexyentry.
	* Add new tooltip in statusicon with the album art of the reproduced song.
	* The executable, and the memory consumption one was reduced.

Others Changes:
	Command "pragha -t", play pause and resume.
	Save and restore software mixer volume.
	Better layout of Preferences Dialog.
	Optimization when search library_tree.
	Use gtk_show_uri to lauch Browser.
	Remove "Library View Menu".

Updates Translations:
	Add Polish translation thanks to Krzysztof Komorowski.
	Add Norwegian language, thanks to Kim.
	Add translator-credits to About Dialog.

Bugs fixed:
	Fix crash when click "go to current track".
	Fix criticals warnings when run and compile pragha.
	Fix pragha.desktop file.
V0.6.3.1
	Fix bug (Great like a house) in Libraryview.
	Add French translation, thanks to Alois Halel.

V0.6.3
	Add remaining time mode to panel.
	Pragha remeber and showed last played song.
	Small optimization in library_tree.
	Fixs critical warnings.
	Updated czech translation by Alois Nespor.
0.6.2.2
	Add German translation, thanks to PhotonX
	Drops some strings "Tracks" confused.
0.6.2.1
	Add russian and ukrainian language, thanks to Evgen.
V0.6.2
	Pargha is 100% translatable one.
	Add Japanese translation. - Tanks Masato hashimoto, Xfce-i18n team_ja.
	Add czech translation. - Tanks alois.nespor.
	Add Portuguese-Brazil. - Tanks Lyceuhns.
	Add option to resize album art in preferences.
V0.6.1
	International Support (ES)
V0.6.0
	Now is Pragha Music Manager!-)

v0.5.93
	Sync systray and panel volume.
	Fix icon of consonance in gnome_main_menu and xfce menu.
	Small adjustments in the language.
v0.5.92
	Problem of the panel background image fixed.
	Elimine Spanish.
v0.5.91 / v0.5.90
	Other gui
	Incress and decress volume level in systray, Play/Pasue/Resume with central click of mouse...
	notifications only are if consonance not this in first plane and new text layout
	A new button "jump to now playing"
	In help menu show link to Consonance homepage, a Nonofficial wiki and forum..

v0.5.1
	Support for deleting library entries.
v0.5
	Audio CD playback / CDDB support.
	Audio device selection (ALSA/OSS).
	Last.fm submission.
	Playlist Export (M3U)
v0.4.1
	Fix a Gthread initialization bug
v0.4
	Modplug support ( By woolf.linux@bumiller.com )
	Tag Editing.
	UTF-8 support.
	Command line option to choose audio backend.
	DnD on 64-bit platforms ( Bugfix )
	A new manpage ( By Martin Zelaia <martintxo@sindominio.net )
v0.3.1
	OSS support.
	Software mixer support.
	Current playlist search.
	Save/Restore current playlist.
	Command line option (consonance -c) to get player state.
	Library updation feature.
	User defined album art file pattern.
v0.3
	Add FLAC, WAV, OGG support. (FLAC support by Jared Casper <jaredcasper@gmail.com>)
	DnD support.
	Playlist management.
	Search through library (simple).
v0.2
	0.2 released.
v0.1
	0.1 released.
